import unittest

from utils import run_file


class TestLeapYear(unittest.TestCase):
    def test_leap_year(self):
        self.assertTrue(run_file(["leap_year.alc", "primitives.alc"],
            [2016, 2015, 2014, 2013, 2012, 2001, 2000, 1999],
            [True, False, False, False, True, False, False, False]))
